Skip to content
Start here

Delete Prefix Delegation

client.addressing.prefixes.delegations.delete(stringdelegationID, DelegationDeleteParams { account_id, prefix_id } params, RequestOptionsoptions?): DelegationDeleteResponse { id }
DELETE/accounts/{account_id}/addressing/prefixes/{prefix_id}/delegations/{delegation_id}

Delete an account delegation for a given IP prefix.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
IP Prefixes: Write
ParametersExpand Collapse
delegationID: string

Identifier of a Delegation.

maxLength32
params: DelegationDeleteParams { account_id, prefix_id }
account_id: string

Identifier of a Cloudflare account.

maxLength32
prefix_id: string

Identifier of an IP Prefix.

maxLength32
ReturnsExpand Collapse
DelegationDeleteResponse { id }
id?: string

Identifier of a Delegation.

maxLength32

Delete Prefix Delegation

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const delegation = await client.addressing.prefixes.delegations.delete(
  'd933b1530bc56c9953cf8ce166da8004',
  { account_id: '258def64c72dae45f3e4c8516e2111f2', prefix_id: '2af39739cc4e3b5910c918468bb89828' },
);

console.log(delegation.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "d933b1530bc56c9953cf8ce166da8004"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "d933b1530bc56c9953cf8ce166da8004"
  }
}